Subject: Re: [tram] Suresh Krishnan's Discuss on draft-ietf-tram-turn-server-discovery-09: (with DISCUSS)

From: Spencer Dawkins at IETF <[email-masked]>
Date: Thu, 6 Oct 2016 20:48:18 -0500

Hi, Suresh,

On Fri, Sep 9, 2016 at 5:20 AM, Suresh Krishnan <
[email-masked]> wrote:

> Hi Prashanth,
>
> On 09/07/2016 11:27 PM, Prashanth Patil (praspati) wrote:
> >>> Does following text address your concerns?
> >>>
> >>> ..
> >>>    DHCP can be used to determine the domain name related to an
> >>>    interface's point of network attachment.  Network operators may
> >>>    provide the domain name to be used for service discovery within an
> >>>    access network using DHCP.  Sections 3.2 and 3.3 of [RFC5986] define
> >>>    DHCP IPv4 and IPv6 access network domain name options,
> >>>    OPTION_V4_ACCESS_DOMAIN and OPTION_V6_ACCESS_DOMAIN respectively, to
> >>>    identify a domain name that is suitable for service discovery within
> >>>    the access network.
> >>>
> >>>    For IPv4, the discovery procedure MUST request for an access network
> >>>    domain name option in a Parameter Request List option, as described
> >>>    in [RFC2131].  [RFC2132] defines the DHCP IPv4 domain name option;
> >>>    while this option is less suitable, a client MAY request for it if
> >>>    the access network domain name defined in [RFC5986] is not
> available.
> >>>
> >>>    For IPv6, the discovery procedure MUST request for an access network
> >>>    domain name option in an Options Request Option (ORO), as described
> >>>    in [RFC3315].
> >>>
> >>>    If neither option can be retrieved the procedure fails for this
> >>>    interface.  If a result can be retrieved it will be used as input
> >>>    for S-NAPTR resolution.
> >>
> >> Thank you. That certainly addresses one part of my DISCUSS but it still
> >> needs
> >> additional text on the DHCPv6 side to specify which message exchange
> will
> >> be
> >> used.
> >
> > Sorry, missed that one.
> >
> >> Did you intend to use the stateful exchange or the stateless exchange?
> >
> > We intend to use stateless. Will update the draft accordingly.
>
> Sounds good. I will clear when the new revision posts.

Could you take a look at -10 and see if it addresses all of your Discuss?

Thanks!

Spencer

---

From: Suresh Krishnan <[email-masked]>
Date: Fri, 7 Oct 2016 03:22:38 +0000

Hi Spencer,

> Could you take a look at -10 and see if it addresses all of your Discuss?

Yes. I did went through version -10 and it addressed all the issues in my 
DISCUSS. I cleared this morning before the BoF call.

Regards
Suresh

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Fri, 7 Oct 2016 08:15:47 -0500

Hi, Suresh,

> DISCUSS. I cleared this morning before the BoF call.

Thank you!

Spencer